# Method: customers.telemetry.users.list

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.users/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.users/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.users/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.users/list#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.users/list#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.users/list#body.ListTelemetryUsersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.users/list#body.aspect)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.users/list#try-it)

List all telemetry users.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{parent=customers/*}/telemetry/users`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Customer id or "my_customer" to use the customer associated to the account making the request. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Only include resources that match the filter. Supported filter fields: - userId - userOrgUnitId <br /> |
| `readMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Read mask to specify which fields to return. Supported readMask paths are: - name - orgUnitId - userId - userEmail - userDevice.device_id - userDevice.audio_status_report - userDevice.device_activity_report - userDevice.network_bandwidth_report - userDevice.peripherals_report - userDevice.app_report <br /> This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `pageSize` | `integer` Maximum number of results to return. Default value is 100. Maximum value is 1000. |
| `pageToken` | `string` Token to specify next page in the list. |

### Request body

The request body must be empty.

### Response body

Response message for listing telemetry users for a customer.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "telemetryUsers": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.users#TelemetryUser`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `telemetryUsers[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.telemetry.users#TelemetryUser`)`` Telemetry users returned in the response. |
| `nextPageToken` | `string` Token to specify next page in the list. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.telemetry.readonly`